package be.iminds.ilabt.jfed.gts.model;

import javafx.collections.ObservableMap;

import java.util.Map;

/**
 * User: twalcari
 * Date: 2/5/2016
 * Time: 10:44
 */
public interface GtsNode {
    String getId();

    void setId(String id);

    String getLocation();

    void setLocation(String location);

    ObservableMap<String, ? extends GtsPort> getPorts();

    void addPort(GtsPort port);

    void setPorts(Map<String, ? extends GtsPort> ports);


    String getProviderId();

    void setProviderId(String providerId);

    GtsStatus getStatus();

    void setStatus(GtsStatus status);

    Map<String,String> getExtraProperties();


    double getEditorX();

    void setEditorX(double editorX);

    double getEditorY();

    void setEditorY(double editorY);
}
